Page MenuHomePhabricator

Source link card is missing when a new link is added in the translation
Closed, ResolvedPublic

Description

When text is selected in the translation a pair of link cards is expected to be shown: one for the article in the target language that matches the selected text and another for the equivalent article in the source language (which may have a totally different title and should be found through the Wikidata connection with the target article not by title).

This is not happening when users select text in the translation or even after the link creation as shown in the screenshots below:

You can reproduce the issue by typing "máscara" in a translation to Spanish (e.g., from English). The expected result is for both "Máscara" article in Spanish and "Mask" article in English to be shown as link cards to allow users to verify the link is pointing to the right article.

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added a project: ContentTranslation.
Pginer-WMF added a subscriber: Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 15 2015, 12:45 PM
Amire80 triaged this task as Normal priority.Jul 19 2015, 4:23 AM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Arrbee edited a custom field.Aug 12 2015, 7:23 AM
Amire80 added a subscriber: Amire80.

Removing from the sprint, but should be tested after resolving T85932.

Arrbee edited a custom field.

Adding to the sprint for Runa to test.

Amire80 moved this task from Backlog to QA on the LE-CX6-Sprint 4 board.Sep 21 2015, 7:50 AM
Arrbee added a subscriber: Arrbee.Sep 21 2015, 2:06 PM

Still failing

Closely related to T102116, possibly a dupe.

Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 3 2015, 11:49 AM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 16 2015, 6:56 AM
Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Dec 10 2018, 1:48 PM
Etonkovidova closed this task as Resolved.Jan 6 2019, 7:07 PM
Etonkovidova claimed this task.
Etonkovidova added a subscriber: Etonkovidova.

The issue is not present in CX2 en:Mask is correctly found for es:Máskara